<?php
/**
 * Hide Content
 *
 * @package SMF
 * @author kelvincool
 * @copyright 2014 kelvincool
 * @license http://creativecommons.org/licenses/by/3.0 CC
 *
 * @version 1.1.3
 */

function template_hidecontent_js()
{
	global $settings;
	return '
	<script type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/hidecontent.js?fin20"></script>';
}

function template_hidecontent_wrapper($data)
{
	global $txt;
	$content = '<div class="unhiddenbox"><h6>' . $txt['hidecontent_passed_required_conditions'] . '</h6>' . $data . '</div>';
	return $content;
}
 
function template_hidecontent_error_wrapper($results)
{
	global $txt;
	$errorMessage = '<div class="errorbox"><h6>' . $txt['hidecontent_required_conditions'] . '</h6><ul>';
	foreach($results as $result) {
		$errorMessage .= '<li>' . $result . '</li>';
	}
	$errorMessage .= '</ul></div>';
	return $errorMessage;
}

function template_hidecontent_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	echo '
		<div id="hidecontent_modal_wrapper">
			<div id="hidecontent_modal_window">
				<div id="hidecontent_close_button_wrapper" class="righttext"><a id="hidecontent_close_button" href="#">', $txt['hidecontent_modal_close'] ,'</a></div>
				<div class="cat_bar">
					<h3 class="catbg">
						', $txt['hidecontent_modal_description'] ,'
					</h3>
				</div>
				<form id="hidecontent_form" method="post" action="#" accept-charset="UTF-8">
					<div class="hide" id="modal_errors_messages">
						<div id="modal_error_numeric">', $txt['hidecontent_error_1'] ,'</div>
						<div id="modal_error_required">', $txt['hidecontent_error_2'] ,'</div>
						<div id="modal_error_plugin_required">', $txt['hidecontent_error_3'] ,'</div>
					</div>
					<div>
						<span class="upperframe">
							<span></span>
						</span>
						<div class="roundframe">
							<div class="errorbox hide " id="modal_errors">
								<dl>
									<dt>
										<strong style="">', $txt['error_while_submitting'] ,'</strong>
									</dt>
									<dt id="modal_error_list" class="error"></dt>
								</dl>
							</div>
';
	$plugins = HideContent::getPlugins();
	$i = 0;
	foreach($plugins as $key=>$plugin) {
		$order = $i%2 == 0 ? 'even' : 'odd';
		template_hidecontent_option($key, $plugin, $order);
		$i++;
	}
	echo '
						</div>
						<span class="lowerframe">
							<span></span>
						</span>
					</div>
					<div id="hidecontent_submit" class="righttext"><input id="hidecontent_submit_button" class="button_submit" type="submit" name="hidecontent_submit" value="', $txt['hidecontent_apply'] ,'" /></div>
				</form>
			</div>
		</div>';
}

function template_hidecontent_below()
{
	echo '
		<script type="text/javascript"><!-- // --><![CDATA[
			var o_HideContent = new hidecontent();
		// ]]></script>';
}

function template_hidecontentquote_above()
{
	HideContent::handleQuote();
}

function template_hidecontentquote_below()
{

}

function template_hidecontent_option($key, $plugin, $order)
{
	global $modSettings;
	$checkedByDefault = ' ';
	if (!empty($modSettings[$key . '_hc_plugin_checked'])) {
		$checkedByDefault = 'checked="checked" ';
	}
	echo '
						<div class="hidecontent_panel">
							<div class="hidecontent_option_wrapper ', $order ,'">
								<input class="hidecontent_plugin_name" type="hidden" value="', $plugin['code'] ,'" name="hidecontent_plugin_name_', $plugin['code'] ,'" />
								<input id="hidecontent_plugin_', $plugin['code'] ,'" class="input_check" type="checkbox" value="1"', $checkedByDefault, 'name="hidecontent_plugin" />
								<label for="hidecontent_plugin_post">
								', $plugin['title'] ,'
								</label>
								<div class="hidecontent_option_parameters">';
	$options = HideContent::getPluginsOptions($plugin);
	if ($options['type'] == 'text') {
		echo '
									<fieldset>
										<legend>', $options['title'] ,'</legend>
										<div>
											<input id="hidecontent_plugin_input_', $options['id'] ,'" class="input_text ', $options['class'] ,'" type="text" value="', $options['default_value'] ,'" name="hidecontent_plugin_input_', $options['id'] ,'" />
										</div>
									</fieldset>';
	}
	else if ($options['type'] == 'hidden') {
		echo '
									<input id="hidecontent_plugin_input_', $options['id'] ,'" class="input_text" type="hidden" value="', $options['default_value'] ,'" name="hidecontent_plugin_input_', $options['id'] ,'" />';
	}
	else if ($options['type'] == 'select') {
		echo '
									<fieldset class="parameter_options_wrapper">
										<legend>', $options['title'] ,'</legend>
										<div>
											<select id="hidecontent_plugin_input_', $options['id'] ,'" class="input_select" value="', $options['default_value'] ,'" name="hidecontent_plugin_input_', $options['id'] ,'">';
		foreach($options['options'] as $key=>$option) {
			echo '
												<option value="', $key ,'">', $option ,'</option>';
		}
		echo '
											</select>
										</div>
									</fieldset>';
	}
	else if ($options['type'] == 'checkbox') {
		echo '
									<fieldset class="parameter_options_wrapper">
										<legend>', $options['title'] ,'</legend>
										<div class="hidecontent_multiple_checkboxes">';
		$i = 0;
		$checked = '';
		foreach($options['options'] as $key=>$option) {
			if ($key == $options['default_value'] || in_array($key, $options['default_value'])) {
				$checked = ' checked="checked"';
			}
			echo '
											<div>
												<input id="hidecontent_plugin_input_', $plugin['code'] ,'_option_', $i ,'" class="input_check" type="checkbox" value="', $key ,'"', $checked ,' name="hidecontent_plugin_', $plugin['code'] ,'_options" />
												<label for="hidecontent_plugin_input_', $plugin['code'] ,'_option_', $i ,'">', $option ,'</label>
											</div>';
			$checked = '';
			$i++;
		}
		echo '
										</div>
									</fieldset>';
	}
	echo '
								</div>
							</div>
						</div>
					';
}

function template_hidecontent_uninstall_above()
{
	global $context, $txt;
	$context['database_changes'][] = $txt['hidecontent_uninstall_permssions_and_settings'];
}

function template_hidecontent_uninstall_below()
{
	
}
?>