<?php
/**
 * Hide Content
 *
 * @package SMF
 * @author kelvincool
 * @copyright 2014 kelvincool
 * @license http://creativecommons.org/licenses/by/3.0 CC
 *
 * @version 1.1.3
 */

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

$sef_functions = array(
	'integrate_bbc_codes' => 'HideContent::loadHideContentBBC',
	'integrate_bbc_buttons' => 'HideContent::loadHideContentBBCButton',
	'integrate_load_theme' => 'HideContent::loadTheme',
	'integrate_pre_include' => $sourcedir . '/HideContent.php',
	'integrate_modify_modifications' => 'HideContent::setManagement',
	'integrate_admin_areas' => 'HideContent::setAdminArea',
	'integrate_load_permissions' => 'HideContent::loadPermissions',
);

// Remove hooks (for 2.0)
foreach ($sef_functions as $hook => $function)
	remove_integration_function($hook, $function);
	
$sef_functions = array(
	'integrate_pre_include' => $sourcedir . '/HidePost.php',
	'integrate_hide_content_implement_parameter' => 'HidePost::setParameter',
	'integrate_hide_content_plugin_info' => 'HidePost::getPluginInfo',
);

// Remove hooks (for 2.0)
foreach ($sef_functions as $hook => $function)
	remove_integration_function($hook, $function);
	
$sef_functions = array(
	'integrate_pre_include' => $sourcedir . '/HideLogin.php',
	'integrate_hide_content_implement_parameter' => 'HideLogin::setParameter',
	'integrate_hide_content_plugin_info' => 'HideLogin::getPluginInfo',
);

// Remove hooks (for 2.0)
foreach ($sef_functions as $hook => $function)
	remove_integration_function($hook, $function);
	
$sef_functions = array(
	'integrate_pre_include' => $sourcedir . '/HideGroup.php',
	'integrate_hide_content_implement_parameter' => 'HideGroup::setParameter',
	'integrate_hide_content_plugin_info' => 'HideGroup::getPluginInfo',
);

// Remove hooks (for 2.0)
foreach ($sef_functions as $hook => $function)
	remove_integration_function($hook, $function);
	
$sef_functions = array(
	'integrate_pre_include' => $sourcedir . '/HideKarma.php',
	'integrate_hide_content_implement_parameter' => 'HideKarma::setParameter',
	'integrate_hide_content_plugin_info' => 'HideKarma::getPluginInfo',
);

// Remove hooks (for 2.0)
foreach ($sef_functions as $hook => $function)
	remove_integration_function($hook, $function);

if (!empty($_POST['do_db_changes'])) {
	global $smcFunc;
	db_extend('packages');
	// Remove permission for all groups
	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}permissions
		WHERE permission = {string:permission}',
		array(
			'permission' => 'pm_hide_content',
		)
	);

	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}board_permissions
		WHERE permission = {string:permission}',
		array(
			'permission' => 'hide_content',
		)
	);
	
	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}settings
		WHERE variable like {string:variable1} or variable like {string:variable2} or variable like {string:variable3}',
		array(
			'variable1' => '%hidecontent%',
			'variable2' => '%hc_plugin%',
			'variable3' => '%hc_disable%',
		)
	);
}